#include <lib/std.mi>

Global Group thisGroup;
Global Layer poslayer;
Global Map posmap;
Global Timer UpateTimer;
Global Button logobutton;

System.onScriptLoaded() {
  thisGroup = getScriptGroup();
  poslayer = thisGroup.getObject("posbar fill");
  logobutton = thisGroup.getObject("Logo OFF");

  posmap = new map;
  posmap.loadmap("shade.pos.map");
  UpateTimer = new Timer;
  UpateTimer.setDelay(99);
  UpateTimer.start();
}

System.onSeek(int newpos) {
  if (newpos <= 0) return;
  int len = getPlayItemLength();
  if(len <= 0) return;
  int devby = len/255;
  if(devby <= 0) return;
  poslayer.setRegionFromMap(posmap,newpos/devby,1);
}

UpateTimer.onTimer() {
  System.onSeek(getPosition());
}

System.onStop() {
  poslayer.setRegionFromMap(posmap,0,1);
}

logobutton.onLeftButtonUp(int x, int y) {
  navigateUrl("http://www.projectdu.com/");
}